Method: accounts.contracts.patch

Updates a given contract.

HTTP request

PATCH https://merchantapi.googleapis.com/youtube/v1alpha/{contract.name=accounts/*/contracts/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
contract.name

string

Identifier. The name of the Contract resource. Format: accounts/{account}/contracts/{contract}

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to update.

Fields specified in the update mask without a value specified in the body will be deleted from the contract.

If update mask is set to *, all fields will be updated.

Request body

The request body contains an instance of Contract.

Response body

If successful, the response body contains an instance of Contract.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.